# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

MY_P="${P/canna-/}"

DESCRIPTION="Japanese kana-kanji conversion dictionary for Canna"
HOMEPAGE="http://cannadic.oucrc.org/"
SRC_URI="http://cannadic.oucrc.org/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 ~ppc sparc ~alpha"
IUSE=""
DEPEND=">=canna-3.6_p3-r2"
S="${WORKDIR}/${MY_P}"

src_compile() {
	make maindic-standard || die
}

src_install() {
	dodir /var/lib/canna/dic/canna/
	install -o bin -g bin -m 0664 gcanna.c[bl]d gcannaf.t \
		${D}/var/lib/canna/dic/canna/
	insinto /usr/share/canna/dics.dir.d/ ;\
		doins ${FILESDIR}/01cannadic.dics.dir
	dodoc COPYING README
}

pkg_postinst() {
	if [ -x /usr/sbin/update-canna-dics_dir ]; then
		einfo "Regenerating dics.dir file..."
		/usr/sbin/update-canna-dics_dir || die "Regenerating failed."
	fi
	einfo "Please restart cannaserver to fit changes."
	einfo "and modify your config file (~/.canna ) to enable dictionay."
	einfo " e.g) add \"gcanna\" \"gcannaf\" to section use-dictionary()"
	einfo "For details, see /usr/share/doc/${P}/README.gz"
}

pkg_postrm() {
	if [ -x /usr/sbin/update-canna-dics_dir ]; then
		einfo "Regenerating dics.dir file..."
		/usr/sbin/update-canna-dics_dir || die "Regenerating failed."
	fi
	einfo "Please restart cannaserver to fit changes."
	einfo "and modify your config file (~/.canna ) to disable dictionay."
	einfo " e.g) delete \"gcanna\" \"gcannaf\" from section use-dictionary()"
}
